Cube - communication  for  PARIX
C 
C  Basic-Routine for Inner-Cube-Communication
C    Send N, and N words from X over Link NrLink
C
	SUBROUTINE Send_Chan(N,X,NrLink)

 	Dimension X(*)

	call Send_Chan_0  (1, N, NrLink)
	IF  ( N .GT. 0 )  call Send_Chan_0(N, X, NrLink)
	RETURN
	END
C
C  Basic-Routine for Inner-Cube-Communication
C  Receive N, and N words over Link NrLink
C
	SUBROUTINE Recv_Chan(N,X,NrLink)

	Dimension X(*)

	call Recv_Chan_0(1, N, NrLink)
	IF  ( N .GT. 0 )  call Recv_Chan_0(N, X, NrLink)
	RETURN
	END
